<?XML Version="1.0" ?>


<!-- Please read the configuration section of the manual -->
<!-- before adding any new entries to this file.         -->


<!--		P A T H S			-->
<!--		---------			-->
<Var LogPath="C:\Program Files\Real\RealServer\Logs\rmaccess.log"/>
<Var ErrorLogPath="C:\Program Files\Real\RealServer\Logs\rmerror.log"/>
<Var PidPath="C:\Program Files\Real\RealServer\Logs\rmserver.pid"/>
<Var PluginDirectory="C:\Program Files\Real\RealServer\Plugins"/>
<Var LicenseDirectory="C:\Program Files\Real\RealServer\License"/>


<!--		P O R T S			-->
<!--		---------			-->
<!--UNIX customers must have root privileges to -->
<!--execute the server with the RTSP port set to 554.		-->
<!--The following are the default ports that RealPlayer and	-->
<!--RealPlayer Plus clients will connect to for an URL that has	-->
<!--no port specified:						-->
<!--  RTSP:  554                                                -->
<!--  PNM:   7070						-->
<!--  HTTP:  80 (...then 8080 if 80 is unavailable)             -->
<Var RTSPPort="554"/>
<Var PNAPort="7070"/>
<Var HTTPPort="8080"/>
<Var MonitorPort="9090"/>


<!--		P A S S W O R D S		-->
<!--		-----------------		-->
<Var MonitorPassword="letmein"/>


<!--		L O G G I N G			-->
<!--		-------------			-->
<Var LoggingStyle="3"/>
<Var StatsMask="0"/>
<Var LogRollFrequency=""/>
<Var LogRollSize=""/>

<!--		L I V E  A R C H I V I N G	-->
<!--		--------------------------	-->
<List Name="LiveArchive">
    <List Name="*">
        <Var TargetDirectory="/Archive"/>
	<Var BandwidthNegotiation="True"/>
	<Var FileSize="0"/>
	<Var FileTime="0"/>
	<Var NoArchive="True"/>
    </List>
</List>


<!--		A L L O W A N C E		-->
<!--		-----------------		-->
<Var ClientConnections="25"/>
<Var ValidPlayersOnly="True"/>
<Var MinPlayerVersion="2"/>
<Var MinPlayerProtocol="0"/>
<Var PlusOnly="False"/>


<!--		H T T P  S U P P O R T		-->
<!--		----------------------		-->
<List Name="HTTPDeliverable">
    <Var Path_01="/admin"/>
    <Var Path_02="/localadmin"/>
    <Var Path_03="/ramgen"/>
    <Var Path_04="/farm"/>
    <Var Path_05="/scaleable"/>
</List>


<!--		F I L E  S Y S T E M S		-->
<!--		----------------------		-->
<List Name="FSMount">
	<!-- Local File System; Media -->
	<List Name="RealContent">
		<Var ShortName="pn-local"/>
		<Var MountPoint="/"/>
        	<Var BasePath="C:\Program Files\Real\RealServer\Content"/>
	</List>
	<!-- Local File System; HTML  -->
	<List Name="RealAdministrator">
		<Var ShortName="pn-local"/>
	        <Var MountPoint="/localadmin/"/>
        	<Var BasePath="C:\Program Files\Real\RealServer\RealAdministrator"/>
	</List>
	<!-- Admin File System -->
	<List Name="RealAdministrator_Files">
		<Var ShortName="pn-admin"/>
        	<Var MountPoint="/admin/"/>
        	<Var Authentication="True"/>
		<Var BaseMountPoint="/localadmin/"/>
		<Var Realm="AdminSecurity"/>
	</List>
	<!-- RAM File Generator -->
	<List Name="RAM_File_Generator">
		<Var ShortName="pn-ramgen"/>
	       	<Var MountPoint="/ramgen/"/>
	</List>
	<!-- Splitter Broadcast -->
	<List Name="Splitter_DoubleURL">
		<Var ShortName="pn-splitter"/>
	        <Var MountPoint="/split/"/>
		<Var Port="3030"/>
	</List>
	<!-- G2 Encoders -->
	<List Name="G2_Encoders">
		<Var ShortName="pn-encoder"/>
		<Var MountPoint="/encoder/"/>
		<Var Port="4040"/>
		<Var AssociatedMediaPath="events"/>
		<Var Realm="EncoderSecurity"/>
	</List>
	<!-- Pre-G2 Encoders -->
	<List Name="Pre_G2_Encoders">
		<Var ShortName="pn-live3"/>
		<Var MountPoint="/live/"/>
		<Var Port="5050"/>
		<Var AssociatedMediaPath="Events"/>
		<Var Realm="EncoderSecurity"/>
		<Var Password="letmein"/>
	</List>
	<List Name="Splitter_Farm">
		<Var ShortName="pn-farmsplit"/>
		<Var MountPoint="/farm/"/>
		<Var Port="11002"/>
		<Var SplitterHostName="myhost.domain.com"/>
		<Var EncNetPat="C:\Program Files\Real\RealServer\Bin\encnet3260.dll"/>

		<List Name="FarmSplitSources">
			<List Name="*">
				<Var NoSplit="FALSE"/>
			</List>
		</List>

		<!-- source server variables -->
		<Var SplitterResendBuffer="60"/>
		<Var SplitterSourceTimeout="60"/>

		<!-- splitter server variables -->
		<List Name="SplitterSourceList">
			<List Name="Host1">
				<Var Address="host.domain.com"/>
				<Var Port="8080"/>
			</List>
		</List>
	
		<Var SplitterBufferDelay="60"/>
		<Var SplitterTimeout="60"/>
		<Var SplitterSourceProbeInterval="60"/>
	</List>	
	<!-- Scaleable  Multicast -->
	<List Name="Scaleable Multicast">
		<Var ShortName="pn-scaleable"/>
		<Var Enabled="False"/>
		<Var MountPoint="/scaleable/"/>
		<Var PortRange="7100-7200"/>
		<Var AddressRange=""/>
		<Var HostAddress=""/>
		<Var TTL="16"/>
	</List>
</List>

<!--    I P  B I N D I N G S			-->
<!--    Address_XX:  domain or IP		-->
<!--    -------------------------		-->
<List Name="IPBinding">
	<Var Address_01 = "0.0.0.0"/>
</List>


<!--     A C C E S S  C O N T R O L			-->
<!--     Access:	Allow or Deny 			-->
<!--     Transport:	TCP or UDP      		-->
<!--     From/To:	domain or IP or Any or Deny	-->
<!--     ------------------------------------------	-->
<List Name="AccessControl">	
	<List Rule="100">
		<Var Access="Allow"/>
		<Var Transport="TCP"/>
		<Var To="127.0.0.1"/>
		<Var From="any"/>
		<List Name="Ports">
			<Var Port_01="554"/>
			<Var Port_02="4040"/>
			<Var Port_03="5050"/>
			<Var Port_04="7070"/>
			<Var Port_05="8080"/>
			<Var Port_06="9090"/>
		</List>
	</List>
</List>


<!--         M I M E  T Y P E S          	-->
<!--         ------------------          	-->
<List Name="MimeTypes">
	<List Name="audio/x-pn-realaudio">
        	<Var Extension_01="ra"/>
	        <Var Extension_02="ram"/>
	</List>
	<List Name="application/x-pn-realmedia">
        	<Var Extension_01="rm"/>
	</List>
	<List Name="application/x-pn-realmedia">
        	<Var Extension_01="rt"/>
	</List>
	<List Name="application/x-pn-realmedia">
        	<Var Extension_01="rp"/>
	</List>
	<List Name="application/x-pn-realmedia">
        	<Var Extension_01="smi"/>
	</List>
	<List Name="text/html">
        	<Var Extension_01="html"/>
		<Var Extension_02="htm"/>
	</List>
	<List Name="image/gif">
		<Var Extension_01="gif"/>
	</List>
	<List Name="image/jpg">
		<Var Extension_01="jpg"/>
		<Var Extension_02="jpeg"/>
	</List>
</List>


<!--         C A C H I N G			-->
<!--         ------------------			-->
<Var TSPort="7802"/> 
<Var TSEnable="1"/> 
<Var TSLog="1"/> 
<Var TSLogPath="C:\Program Files\Real\RealServer\Logs\cache.log"/> 
<List Name="NoCacheDir"> 
	<Var Directory_01="/nocache1/"/> 
</List> 


<!--		P R O X Y			-->
<!--         	--------			-->
<List Name="PNAProxy">
	<Var Port="1010"/>
	<Var MaxConnections="0"/>
	<Var CacheEnable="1"/>
	<Var BitsaveEnable="1"/>
	<Var MaxBandwidth="0"/>
	<Var MulticastRange="0.0.0.0 - 255.255.255.255"/> 
	<Var MulitcastTTL="8"/> 
	<Var PassThroughToHost="yourdomain.com"/> 
	<Var PassThroughToPort="1020"/> 
	<Var AllowUDP="1"/> 
	<Var BitSaveUDP="1"/> 
	<Var BitSaveMulticast="1"/> 
</List> 
<List Name="RTSPProxy"> 
	<Var Port="1030"/> 
	<Var MaxConnections="0"/> 
	<Var CacheEnable="1"/> 
	<Var BitsaveEnable="1"/> 
	<Var MaxBandwidth="1000"/> 
	<Var PassThroughToHost="yourdomain.com"/> 
	<Var PassThroughToPort="1040"/> 
	<Var AllowUDP="1"/> 
</List> 


<!--		M U L T I C A S T		-->
<!--		-----------------		-->
<!-- Back-Channel Multicast -->
<List Name="Multicast">  
	<Var PNAPort="7070"/>
	<Var RTSPPort="554"/> 
	<Var AddressRange=""/>
	<Var TTL="16"/>
	<List Name="ControlList">
	        <Var Address_01=""/>
	        <Var Netmask_01=""/>
	</List>
	<Var DeliveryOnly="False"/>
</List>

<!-- P R E  G 2  A U T H E N T I C A T I O N	-->
<!--		-----------------		-->
<Var AuthPath="Secure"/>
<Var AuthDBName="C:\Program Files\Real\RealServer\con_r_db"/>
<Var AuthDBPlugin="rn-db-flatfile"/>
<Var AuthRegPrefix="register"/>
<Var Realm="Realm"/>

<!-- G 2  A U T H E N T I C A T I O N   R E A L M S	-->
<!--		-----------------			-->
<List Name="AuthenticationRealms">
    <List Name="SecureAdmin">
        <Var Realm="AdminRealm"/>
        <List Name="BasicAuthenticator">
            <Var PluginID="rn-auth-basic"/>
            <Var DatabaseID="Admin_Basic"/>
        </List>
    </List>
    <List Name="SecureEncoder">
        <Var Realm="EncoderRealm"/>
        <List Name="RN5Authenticator">
            <Var PluginID="rn-auth-rn5"/>
            <Var DatabaseID="Encoder_RN5"/>
        </List>
    </List>
    <List Name="SecureContent">
        <Var Realm="ContentRealm"/>
        <List Name="RN5Authenticator">
            <Var PluginID="rn-auth-rn5"/>
            <Var DatabaseID="Content_RN5"/>
        </List>
    </List>
</List>

<!-- G 2  A U T H E N T I C A T I O N   D A T A B A S E S	-->
<!--			-----------------			-->
<List Name="Databases">
    <List Name="Admin_Basic">
        <Var PluginID="rn-db-flatfile"/>
        <Var Path="C:\Program Files\Real\RealServer\adm_b_db"/>
    </List>
    <List Name="Encoder_RN5">
        <Var PluginID="rn-db-flatfile"/>
        <Var Path="C:\Program Files\Real\RealServer\enc_r_db"/>
    </List>
    <List Name="Content_RN5">
        <Var PluginID="rn-db-flatfile"/>
        <Var Path="C:\Program Files\Real\RealServer\con_r_db"/>
    </List>
</List>

<!-- G 2  A U T H E N T I C A T I O N   A L L O W A N C E S	-->
<!--			-----------------			-->
<List Name="AllowancePlugins">   
	<List Name="StaticUserAuth">   
		<Var PluginID="rn-allow-auth"/>   
		<Var ProtectedMountPath="/secure"/>   
		<Var Realm="ContentSecurity"/>   
	</List>   
	<List Name="OldLiveUserAuth">   
		<Var PluginID="rn-allow-auth"/>   
		<Var ProtectedMountPath="/live/secure"/>   
		<Var Realm="ContentSecurity"/>   
	</List>   
	<List Name="G2LiveUserAuth">   
		<Var PluginID="rn-allow-auth"/>   
		<Var ProtectedMountPath="/g2_live/secure"/>   
		<Var Realm="ContentSecurity"/>   
	</List>   
	<List Name="StaticContentAuth">  
		<Var PluginID="rn-allow-ppv-basic"/>  
		<Var ProtectedMountPath="/secure"/>  
		<Var DatabaseID="permit-db"/>  
	</List>  
	<List Name="LiveContentAuth">  
		<Var PluginID="rn-allow-ppv-basic"/>  
		<Var ProtectedMountPath="/live/secure"/>  
		<Var DatabaseID="permit-db"/>  
	</List>  
</List>  
